import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ApiVisa, Pagination, PagingResponseModel } from '../../shared';
import { GenericDocContainerModel, EmailNotificationPDFModel } from '../../../../../../models/aggregates/generic_doc';
import { BaseGenDocTypeService } from './base-generic-doc-hdr.service';
export declare class InternalPurchaseDebitNoteService extends BaseGenDocTypeService {
    constructor(http: HttpClient);
    getPurchaseDebitNotesByLogin(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<GenericDocContainerModel>>;
    getLinesByCriteria(pagination: Pagination, visa: ApiVisa): Observable<PagingResponseModel<GenericDocContainerModel>>;
    sendEmailWithMultiplePDF(dtoObject: EmailNotificationPDFModel, visa: ApiVisa): Observable<Object>;
    printJasperPdf(guid: string, printServiceClassName: string, printableFormatGuid: string, apiVisa: ApiVisa, customParam?: string): Observable<Blob>;
}
